Docs
Search docs...⌘K

Volume by country

API + MCP
GET/v3/keywords-explorer/volume-by-country

Query parameters

selectstring

A comma-separated list of fields to return.

order_bystring

A field to order the results by, with optional direction. Format: field_name:asc or field_name:desc (default desc).

Available fields:
  • cpc
  • difficulty (10 units)
  • growth_rate_12m
  • traffic_potential (10 units)
  • volume (10 units)
limitinteger

The number of results to return.

offsetinteger

The number of results to skip.

Default:0
keyword_list_idinteger

The id of an existing keyword list.

keywordstring

A comma-separated list of keywords to show metrics for.

countriesstring

A comma-separated list of two-letter country codes (ISO 3166-1 alpha-2).

Allowed values:adaeafagaialamaoarasatauawazba…
volume_monthly_date_fromstring (date)

The start date in YYYY-MM-DD format for retrieving historical monthly search volumes in the volume_monthly_history field. Required only if volume_monthly_history is requested.

volume_monthly_date_tostring (date)

The end date in YYYY-MM-DD format for retrieving historical monthly search volumes in the volume_monthly_history field. Required only if volume_monthly_history is requested.

outputstring

The output format.

Allowed values:jsonphp

Responses

countriesarray<object>
countrystring

A two-letter country code (ISO 3166-1 alpha-2).

cpcinteger or null

Cost per click of top_keyword, in US cents.

difficultyinteger or null

(10 units) Keyword difficulty of top_keyword.

growth_rate_12mnumber (float) or null

Twelve-month search volume growth. Available for single-keyword seeds.

has_serpboolean or null

Whether SERP data is available for top_keyword.

top_keywordstring or null

The seed keyword with the highest search volume in this country.

top_pagestring or null

The top organic page for top_keyword.

top_page_titlestring or null

Title of top_page.

traffic_potentialinteger or null

(10 units) Traffic potential of top_keyword.

volumeinteger

(10 units) An estimation of the average monthly number of searches for a keyword in a given country.

volume_monthly_historyarray<object>

(50 units) Monthly search volumes summed over the seed keywords in this country.

datestring (date)
volumeinteger